ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 3.0

ARMA 3.0 マニュアル

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2004-64
 
 
1 サマリ
 
 
対象システム
ARMA2.2
パッケージ
imlib2
概要
リモートからの任意のコード実行の可能性
危険度
2
 
 
 
2 詳細
 
 画像ライブラリの Imlib2 に脆弱性が指摘されています。BMP フォーマットの読込みに問題がありました。Imlib2 を使用しているものは主に mplayer 等の動画関連アプリケーションであり、数も多くはありませんが、細工された画像ファイルを読み込んでしまった場合に、任意のコードを実行されてしまう可能性があります。
 この問題についての詳細は以下の情報を参照してください。
 
「CAN-2004-0802」- Common Vulnerabilities and Exposures
 
 
 またこの問題は ARMA2.2 のみに存在します。アップデート後の libimlib2 パッケージのバージョンは 1.0.6-3o101 となります。
 
 
3 対処方法
 
 root になり以下のようにアップデートをおこなってください。
 
 
# apt-get update
# apt-get install libimlib2
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp